%define Product	LDAPUserFolder
%define product	ldapuserfolder
%define name    zope-%{Product}
%define version 2.8
%define release %mkrel 5

%define zope_minver	2.7.1
%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	User folder replacement for Zope that authenticates Zope users against LDAP
License:	GPL
Group:		System/Servers
URL:		http://www.dataflake.org/software/ldapuserfolder/
Source:		http://www.dataflake.org/software/ldapuserfolder/ldapuserfolder_%{version}/LDAPUserFolder-%{version}.tgz
Requires:	zope >= %{zope_minver}
Requires:	python2.4-ldap
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
This product is a replacement for a Zope user folder. It 
does not store its own user objects but builds them on the 
fly after authenticating a user against the LDAP database.

%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(-,root,root)
%{software_home}/Products/*


%changelog
* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.8-5mdv2010.0
+ Revision: 435591
- rebuild
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.8-3mdv2009.0
+ Revision: 243034
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.8-1mdv2008.0
+ Revision: 88801
- new version


* Wed Aug 09 2006 glehmann
+ 08/09/06 13:08:25 (54704)
update to 2.7

* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 14:13:15 (53907)
- Fix  rpmlint warnings

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:59:42 (42766)
Import zope-LDAPUserFolder

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.5-2mdk
- fix path on x86_64

* Sun Apr 24 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 2.5-1mdk
- New release 2.5
- use mkrel

* Thu Jan 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.4-2mdk
- fix uninstall error message

* Sun Dec 12 2004 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.4-1mdk
- initial contrib
- 2.4

